/*
 * DOS routines to read the number of ticks of the timer used for the int
 * 8 interrupt since the program started (more or less)
 *
 * note: ASSUMES the clock rate is 18.2Hz
 */
#include <dpmi.h>
#include <conio.h>

static unsigned long ticks=0;
static unsigned last_read;

unsigned long _elapsed_time(void)
{
	int rv =  _ll_ticks() ;
	int rv1 = last_read ;
	last_read = rv ;
	return rv - rv1 ;
}